org.jboss.jca.as.converters.wls.metadata

## Class AdminObjectInstanceImpl

- java.lang.Object
- - org.jboss.jca.as.converters.wls.metadata.AdminObjectInstanceImpl

- All Implemented Interfaces:
    java.io.Serializable, AdminObjectInstance, WlsMetadata

      public class AdminObjectInstanceImpl
      extends java.lang.Object
      implements AdminObjectInstance

  A generic AdminObjectInstance.
  Author:
    Jeff Zhang
  See Also:
    Serialized Form

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.jboss.jca.as.converters.wls.api.metadata.AdminObjectInstance

      `AdminObjectInstance.Attribute, AdminObjectInstance.Tag`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `AdminObjectInstanceImpl(java.lang.String jndiName, ConfigProperties props)` constructor

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getJndiName()` getJndiName
    `ConfigProperties` | `getProperties()` getProperties

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AdminObjectInstanceImpl

          public AdminObjectInstanceImpl(java.lang.String jndiName,
                                         ConfigProperties props)

      constructor
      Parameters:
        `jndiName` - jndi name
        `props` - ConfigProperties

  - ### Method Detail

    - #### getJndiName

          public java.lang.String getJndiName()

      Description copied from interface: `AdminObjectInstance`
      getJndiName
      Specified by:
        `getJndiName` in interface `AdminObjectInstance`
      Returns:
        the JndiName

    - #### getProperties

          public ConfigProperties getProperties()

      Description copied from interface: `AdminObjectInstance`
      getProperties
      Specified by:
        `getProperties` in interface `AdminObjectInstance`
      Returns:
        the ConfigProperties

Copyright © 2014 IronJacamar (http://www.ironjacamar.org)